Bug 878416 - vzctl doesn't build in some secondary architectures
vzctl doesn't build in some secondary architectures
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vzctl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-11-20 06:38 EST by Glauber Costa
Modified: 2013-01-11 18:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 22:19:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glauber Costa 2012-11-20 06:38:19 EST
Originally reported by Dan Horák,

Since vzctl will still build all the vz-kernel support even if the goal is running on upstream Linux kernels, it won't build on all secondary arches.

build.log says:

...
In file included from cpu.c:31:0:
../../include/vzsyscalls.h:66:2: error: #error "no syscall for this arch"
cpu.c: In function 'fairsched_chwt':
cpu.c:37:16: error: '__NR_fairsched_chwt' undeclared (first use in this function)
cpu.c:37:16: note: each undeclared identifier is reported only once for each function it appears in
cpu.c: In function 'fairsched_rate':
cpu.c:47:16: error: '__NR_fairsched_rate' undeclared (first use in this function)
cpu.c: In function 'fairsched_vcpus':
cpu.c:57:16: error: '__NR_fairsched_vcpus' undeclared (first use in this function)
make[2]: *** [cpu.lo] Error 1

and same error should occur on ARM and PPC64. Nothing critical, I've excluded vzctl in s390 build system now, the other secondary arch maintainers will do the same, but nice to have in the future I think.
Comment 1 Dan Horák 2012-11-20 06:49:39 EST
Thanks, please ping us on #fedora-{arm,ppc,s390x} if you'll need access to the HW (no public s390x AFAIK).
Comment 2 Fedora Update System 2012-12-11 05:02:45 EST
vzctl-4.1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vzctl-4.1.1-3.fc17
Comment 3 Fedora Update System 2012-12-11 05:04:42 EST
vzctl-4.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vzctl-4.1.1-3.fc18
Comment 4 Fedora Update System 2012-12-11 15:05:42 EST
Package vzctl-4.1.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vzctl-4.1.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20175/vzctl-4.1.1-3.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-19 22:19:19 EST
vzctl-4.1.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-01-11 18:48:47 EST
vzctl-4.1.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.